/*-------------------------------------------------------------*/
/*  File:  ol_main.c 
 *
 *  Main program for demonstrating OLIT widgets.
 *  The function "MakeWidgets" creates the widgets being
 *  demonstrated. 
 *
 */
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xol/OpenLook.h>

extern Widget MakeWidgets();

/*-------------------------------------------------------------*/
void main(argc, argv)
int  argc;
char **argv;
{
    Widget main_widget;

/* Create and initialize the top-level widget */
    main_widget = OlInitialize(argv[0], "Ol_main", NULL,
                               0, &argc, argv);

/* Now call MakeWidgets to create the widgets */
    MakeWidgets(main_widget);

/* Realize the widgets and start processing events */
    XtRealizeWidget(main_widget);
    XtMainLoop();
}
